Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.jsf
Class ServletFacesContextImpl

    java.lang.Object
      javax.faces.context.FacesContext
          org.apache.portals.bridges.jsf.ServletFacesContextImpl

public class ServletFacesContextImpl
extends javax.faces.context.FacesContext

Author:
  Apache MyFaces team

Field Summary
`private javax.faces.application.Application` | `_application`
`private ServletExternalContextImpl` | `_externalContext`
`private javax.faces.application.FacesMessage.Severity` | `_maximumSeverity`
`private List` | `_messageClientIds`
`private List` | `_messages`
`private boolean` | `_released`
`private javax.faces.render.RenderKitFactory` | `_renderKitFactory`
`private boolean` | `_renderResponse`
`private boolean` | `_responseComplete`
`private javax.faces.context.ResponseStream` | `_responseStream`
`private javax.faces.context.ResponseWriter` | `_responseWriter`
`private javax.faces.component.UIViewRoot` | `_viewRoot`

Fields inherited from class javax.faces.context.FacesContext
``

Constructor Summary
`` | `ServletFacesContextImpl(javax.servlet.ServletContext servletContext, javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)`
`private` | `ServletFacesContextImpl(ServletExternalContextImpl externalContext)`

Method Summary
`void` | `addMessage(String clientId, javax.faces.application.FacesMessage message)`
`javax.faces.application.Application` | `getApplication()`
`Iterator` | `getClientIdsWithMessages()`
`javax.faces.context.ExternalContext` | `getExternalContext()`
`javax.faces.application.FacesMessage.Severity` | `getMaximumSeverity()`
`Iterator` | `getMessages()`
`Iterator` | `getMessages(String clientId)`
`javax.faces.render.RenderKit` | `getRenderKit()`
`boolean` | `getRenderResponse()`
`boolean` | `getResponseComplete()`
`javax.faces.context.ResponseStream` | `getResponseStream()`
`javax.faces.context.ResponseWriter` | `getResponseWriter()`
`javax.faces.component.UIViewRoot` | `getViewRoot()`
`boolean` | `isReleased()`
`void` | `release()`
`void` | `renderResponse()`
`void` | `responseComplete()`
`void` | `setExternalContext(ServletExternalContextImpl extContext)`
`void` | `setResponseStream(javax.faces.context.ResponseStream responseStream)`
`void` | `setResponseWriter(javax.faces.context.ResponseWriter responseWriter)`
`void` | `setViewRoot(javax.faces.component.UIViewRoot viewRoot)`

Methods inherited from class javax.faces.context.FacesContext
`getCurrentInstance, setCurrentInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _messageClientIds

    private List _messageClientIds

### _messages

    private List _messages

### _application

    private javax.faces.application.Application _application

### _externalContext

    private ServletExternalContextImpl _externalContext

### _responseStream

    private javax.faces.context.ResponseStream _responseStream

### _responseWriter

    private javax.faces.context.ResponseWriter _responseWriter

### _maximumSeverity

    private javax.faces.application.FacesMessage.Severity _maximumSeverity

### _viewRoot

    private javax.faces.component.UIViewRoot _viewRoot

### _renderResponse

    private boolean _renderResponse

### _responseComplete

    private boolean _responseComplete

### _renderKitFactory

    private javax.faces.render.RenderKitFactory _renderKitFactory

### _released

    private boolean _released

Constructor Detail

### ServletFacesContextImpl

    public ServletFacesContextImpl(javax.servlet.ServletContext servletContext,
                                   javax.servlet.ServletRequest servletRequest,
                                   javax.servlet.ServletResponse servletResponse)

### ServletFacesContextImpl

    private ServletFacesContextImpl(ServletExternalContextImpl externalContext)

Method Detail

### getExternalContext

    public javax.faces.context.ExternalContext getExternalContext()

### getMaximumSeverity

    public javax.faces.application.FacesMessage.Severity getMaximumSeverity()

### getMessages

    public Iterator getMessages()

### getApplication

    public javax.faces.application.Application getApplication()

### getClientIdsWithMessages

    public Iterator getClientIdsWithMessages()

### getMessages

    public Iterator getMessages(String clientId)

### getRenderKit

    public javax.faces.render.RenderKit getRenderKit()

### getRenderResponse

    public boolean getRenderResponse()

### getResponseComplete

    public boolean getResponseComplete()

### setResponseStream

    public void setResponseStream(javax.faces.context.ResponseStream responseStream)

### getResponseStream

    public javax.faces.context.ResponseStream getResponseStream()

### setResponseWriter

    public void setResponseWriter(javax.faces.context.ResponseWriter responseWriter)

### getResponseWriter

    public javax.faces.context.ResponseWriter getResponseWriter()

### setViewRoot

    public void setViewRoot(javax.faces.component.UIViewRoot viewRoot)

### getViewRoot

    public javax.faces.component.UIViewRoot getViewRoot()

### addMessage

    public void addMessage(String clientId,
                           javax.faces.application.FacesMessage message)

### isReleased

    public boolean isReleased()

### release

    public void release()

### renderResponse

    public void renderResponse()

### responseComplete

    public void responseComplete()

### setExternalContext

    public void setExternalContext(ServletExternalContextImpl extContext)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.